#version 300 es
precision highp float;

uniform mat4 modelViewProjectionMatrix;

layout (location = 0) in vec4 vertexPosition;
layout (location = 1) in vec2 vertexUV_a;
layout (location = 2) in vec2 vertexUV_b;
layout (location = 3) in vec4 vertexColor;
layout (location = 4) in float vertexMix;
layout (location = 5) in mat4 globalTransform;

out vec2 uv_a;
out vec2 uv_b;
out vec4 fontColor;
out float msdf_mix;

void main()
{
    uv_a = vertexUV_a;
    uv_b = vertexUV_b;
    fontColor = vertexColor;
    msdf_mix = vertexMix;
    gl_Position = modelViewProjectionMatrix * globalTransform * vertexPosition;
}
